<?php

namespace App\Entities\UsuarioPerfil;

use App\Utils\Builder;

class UsuarioPerfilBuilder implements Builder {
	private $id;
	private $id_usuario;
	private $id_perfil;

	public function setId(int $id): UsuarioPerfilBuilder {

		$this->id = $id;
		return $this;

	}

	public function setIdUsuario(int $id_usuario): UsuarioPerfilBuilder {

		$this->id_usuario = $id_usuario;
		return $this;

	}

	public function setIdPerfil(int $id_perfil): UsuarioPerfilBuilder {

		$this->id_perfil = $id_perfil;
		return $this;

	}

	public function build(): UsuarioPerfil {

		$usuario_perfil = new UsuarioPerfil();
		if (isset( $this->id )) {
			$usuario_perfil->setId( $this->id );
		}
		if (isset( $this->id_usuario )) {
			$usuario_perfil->setIdUsuario( $this->id_usuario );
		}
		if (isset( $this->id_perfil )) {
			$usuario_perfil->setIdPerfil( $this->id_perfil );
		}
		return $usuario_perfil;

	}

}